Date.prototype.addHours= function(h){
    this.setHours(this.getHours()+h);
    return this;
}

function bili_calc() {

	var ageHours, bili, weeks,days, coombs ;
	
	weeks = $('#weeks').val()*1;
	days = $('#days').val()*1;
	weeks = weeks + (days / 7);
	coombs = $('#coombs').is(':checked');

	if ($('#radio_si').is(':checked')) {
		$('#inputKonv').css("visibility", "hidden");
		$('#inputSi').css("visibility", "visible");
		$('#inputKonv').css("display", "none");
		$('#inputSi').css("display", "block");
		bili = $('#biliSi').val().replace(/,/, ".") / 17.104;
		$('#biliKonv').val(bili.toFixed(1));

	}
	else {
		$('#inputKonv').css("visibility", "visible");
		$('#inputSi').css("visibility", "hidden");
		$('#inputKonv').css("display", "block");
		$('#inputSi').css("display", "none");
		bili = $('#biliKonv').val().replace(/,/, ".") * 1;
		$('#biliSi').val((bili * 17.104).toFixed(0));
	}
	
		var array_birthday = $('#birthday').mobiscroll('getValue');
	var array_currentdate = $('#currentdate').mobiscroll('getValue');

	
	if ((typeof(array_birthday) == "undefined") || (typeof(array_currentdate) == "undefined")) return;
	var date_birthday = new Date(array_birthday[2], array_birthday[1], array_birthday[0], array_birthday[3], array_birthday[4], 0, 0);
	if (array_birthday[5] == 1) date_birthday.addHours(12);
	var date_currentdate = new Date(array_currentdate[2], array_currentdate[1], array_currentdate[0], array_currentdate[3], array_currentdate[4], 0, 0);
		if (array_currentdate[5] == 1) date_currentdate.addHours(12);
	ageHours = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_HOUR;
	

	graph = new GraphAwmf('myCanvas',weeks,coombs,ageHours,bili);
	graph.drawChart();	
	 graph.shrink("portrait");
	 
	graphPopup = new GraphAwmf('popupCanvas',weeks,coombs,ageHours,bili);
	graphPopup.drawChart();	
	graphPopup.shrink("landscape");
	
}

function GraphAwmf(canvasName,weeks,coombs,ageHours,bili) {
	this.ll_x = 167;
	this.ll_y = 812;
	this.ur_x = 1504;
	this.ur_y = 37;
	this.x_start = 0;
	this.x_end = 168;
	this.y_start = 0;
	this.y_end = 30;
	this.width = 1650;
	this.height = 1220;
	this.context = null;
	this.canvas = null;
	this.canvasName = canvasName;
	this.weeks = weeks;
	this.coombs = coombs;
	this.ageHours = ageHours;
	this.bili = bili;
	this.img;

	this.drawChart = function () {
		var self = this;
		this.canvas = document.getElementById(canvasName);
		this.context = this.canvas.getContext('2d');
		this.context.canvas.width = this.width;
		this.context.canvas.height = this.height;
		img = new Image();
		if (getBrowserLanguage() == "de")
		img.src = "images/bilicharts/awmf_de.png";
		else 
		img.src = "images/bilicharts/awmf.png"
		img.onload = function () {
			self.context.drawImage(img, 0, 0);
		self.setLines();
		self.drawPoint(ageHours,bili);
		
};
	}

	this.shrink = function (orientation) {
		switch (orientation) {
			case "portrait":
	newWidth = (window.innerWidth * 0.9).toFixed(0);
	if (newWidth > 400) newWidth = 400;	
	this.canvas.width  = newWidth;
	scale = newWidth / this.width;
	this.canvas.height = (this.height*scale).toFixed(0); 
	this.context.scale(scale,scale);
	break;
	case "landscape":
	newWidth = (window.innerHeight * 0.9).toFixed(0);
	newHeight = (window.innerWidth * 0.9).toFixed(0);
	scaleHeight=newWidth/this.width;
	scaleWidth=newHeight/this.height;
	scale = scaleWidth<scaleHeight ? scaleWidth : scaleHeight;
	this.canvas.width = (this.height*scale+50).toFixed(0); 
	this.canvas.height =  (this.width*scale+50).toFixed(0); 
	this.context.rotate(90*Math.PI/180);
	this.context.scale(scale,scale);
	this.context.translate(40,-1200);
	break;
		}
	}
	
	this.setLines = function() {
		var threshold_max = 20;
		var threshold_min = 0;
		 
		if (this.weeks < 38) {
			threshold_max = this.weeks - 20;
		}
		if (this.coombs) {
			threshold_max -= 2;
		}
		if (threshold_max <5) threshold_max = 5;
		threshold_min = threshold_max - 6;
		if (threshold_min <5) {
			xCrossing = (5-threshold_min)/((threshold_max-threshold_min)/72);
			this.drawLine(0,5,xCrossing,5,'#DF7401');
			this.drawLine(0,10,xCrossing,10,'#B43104');
			this.drawLine(0,15,xCrossing,15,'#3B0B0B');
			this.drawLine(xCrossing,5,72,threshold_max,'#DF7401')
			this.drawLine(xCrossing,10,72,threshold_max+5,'#B43104')
			this.drawLine(xCrossing,15,72,threshold_max+10,'#3B0B0B')
		}
		else	 {
		this.drawLine(0,threshold_min,72,threshold_max,'#DF7401');
		this.drawLine(0,threshold_min+5,72,threshold_max+5,'#B43104');
		this.drawLine(0,threshold_min+10,72,threshold_max+10,'#3B0B0B');
		}
		
		this.drawLine(72,threshold_max,168,threshold_max,'#DF7401');
		this.drawLine(72,threshold_max+5,168,threshold_max+5,'#B43104');
		this.drawLine(72,threshold_max+10,168,threshold_max+10,'#3B0B0B');
	
	}
				

	this.drawLine = function(xa_val, ya_val, xb_val, yb_val, color) {
		xa_pix = this.ll_x + ((this.ur_x - this.ll_x) * ( xa_val - this.x_start) / (this.x_end - this.x_start));
		ya_pix = this.ll_y + ((this.ur_y - this.ll_y) * ( ya_val - this.y_start) / (this.y_end - this.y_start));
		xb_pix = this.ll_x + ((this.ur_x - this.ll_x) * ( xb_val - this.x_start) / (this.x_end - this.x_start));
		yb_pix = this.ll_y + ((this.ur_y - this.ll_y) * ( yb_val - this.y_start) / (this.y_end - this.y_start));
		this.context.beginPath();
		this.context.moveTo(xa_pix, ya_pix);
		this.context.lineTo(xb_pix, yb_pix);
		this.context.strokeStyle = color;
		this.context.lineWidth = 5;
		this.context.stroke();
	}
	
	this.drawPoint = function(x_val,y_val) {
		if (y_val <= 0) return;
		xa_pix = this.ll_x + ((this.ur_x - this.ll_x) * ( x_val - this.x_start) / (this.x_end - this.x_start));
		ya_pix = this.ll_y + ((this.ur_y - this.ll_y) * ( y_val - this.y_start) / (this.y_end - this.y_start));
		if (this.pointInScatter(xa_pix,ya_pix)) {
	    this.context.moveTo(xa_pix-20, ya_pix-20);
		this.context.lineTo(xa_pix+20, ya_pix+20);
		this.context.moveTo(xa_pix+20, ya_pix-20);
		this.context.lineTo(xa_pix-20, ya_pix+20);
		this.context.stroke();
		}
		else return;
	}
	
	this.pointInScatter = function(x,y) {
		if ((x < this.ll_x) || (x>this.ur_x)) return false;
		if ((y < this.ur_y) || (y>this.ll_y)) return false;
		return true;
	}
}