function bmi_calc() {
	var bmi, sds, male, age_months, percentile, waisthip, waistheight, skinfoldsum, units, f_ConvertCm, f_ConvertKg, f_bmi, f_head, f_height, f_weight, outputString, references, ref, f_convertCm, f_convertKg, age_years, age_months_modulo, headRef, bmiRef, heightRef, weightRef, i, alerts;
	var obHead, obBmi, obHeight, obWeight, obWaist, obWaistheight, obWaist, obSubscapular, obSkinfoldsum, obTriceps, KiggsTriceps, obHip, obWaisthip, obWeightheight, obChestwidth, obChestdepth, obWeightweek;

	var height = $('#Height').val().replace(/,/, ".") * 1;
	var weight = $('#Weight').val().replace(/,/, ".") * 1;
	var head = $('#Head').val().replace(/,/, ".") * 1;
	var waist = $('#Waist').val().replace(/,/, ".") * 1;
	var hip = $('#Hip').val().replace(/,/, ".") * 1;
	var triceps = $('#Triceps').val().replace(/,/, ".") * 1;
	var subscapular = $('#Subscapular').val().replace(/,/, ".") * 1;
		var frame = $('#Frame').val().replace(/,/, ".") * 1;
	var suprailiac = $('#Suprailiac').val().replace(/,/, ".") * 1;
	var epicondyle = $('#Epicondyle').val().replace(/,/, ".") * 1;
	var upperarm = $('#Upperarm').val().replace(/,/, ".") * 1;
	var hipheight = $('#Hipheight').val().replace(/,/, ".") * 1;
	var metric = $('#Metric').val().replace(/,/, ".") * 1;
	var growthrateheight = $('#Growthrateheight').val().replace(/,/, ".") * 1;
	var growthratehead = $('#Growthratehead').val().replace(/,/, ".") * 1;
	var chestwidth = $('#Chestwidth').val().replace(/,/, ".") * 1;
	var chestdepth = $('#Chestdepth').val().replace(/,/, ".") * 1;
	var weightweek = $('#Weightweek').val().replace(/,/, ".") * 1;

	var chestcircumference = $('#Chestcircumference').val().replace(/,/, ".") * 1;
	 
	var preferkromeyer = $('#radio_kromeyer').is(':checked');
	var prefercdc = $('#radio_cdc').is(':checked');
	var preferkiggs = $('#radio_kiggs').is(':checked');
	var source;
	if ($('#radio_kromeyer').is(':checked')) source = "kromeyer";
	else if ($('#radio_cdc').is(':checked')) source = "cdc";
	else if ($('#radio_redlefsen').is(':checked')) source = "redlefsen";
	else if ($('#radio_kiggs').is(':checked')) source = "kiggs";
	else if ($('#radio_down').is(':checked')) source = "down";
		else if ($('#radio_hesse').is(':checked')) source = "hesse";
	else return;

	var weeks = $('#weeks').val();
	var days = $('#days').val();
	var gestational_age_correction_ms;
	var birthday_corrected_ms;
	references = new Array();
	alerts = new Array();

	// Erase old results
	$("* .zs-arrow-left").css("visibility", "hidden");
	$("* .zs-arrow-right").css("visibility", "hidden");
	$("* .zs-result-marker").css("visibility", "hidden");
	$("#headerResult").css("display", "none");

	$("div[id$='lln']").html("");
	$("div[id$='uln']").html("");
	$("div[id$='mean']").html("");

	$("#calculated_age").html("");


	// Units
	units = $('#units_flip').val();
	if (units === "inchpound") {
		f_convertCm = convertCmToInch;
		f_convertKg = convertKgToPound;
		$('#weight').attr('placeholder', 'pounds');
		weight = convertPoundToKg(weight);
		$('#height').attr('placeholder', 'inch');
		height = convertInchToCm(height);
	}
	else {
		f_convertCm = function(value) {
			return value
		};
		f_convertKg = function(value) {
			return value
		};
		$('#weight').attr('placeholder', 'kg');
		$('#height').attr('placeholder', 'cm');
	}
	

	// Different date inputs for touch screen and desktops
	if ($('#dateInput_flip').val() === 'mobile') {
		var birthday = $('#birthday').val();
		var currentdate = $('#currentdate').val();
		// Formatting the date
		if ((birthday != "") && (currentdate != "")) {
			var date_birthday = getDateFromDateString(birthday);
			var date_currentdate = getDateFromDateString(currentdate);

		}
		else return;
	}
	else {
		if ($('#birth_d').val() && $('#birth_m').val() && $('#birth_y').val() && $('#current_d').val() && $('#current_m').val() && $('#current_y').val()) {
			var date_birthday = new Date($('#birth_y').val(), $('#birth_m').val() - 1, $('#birth_d').val());
			var date_currentdate = new Date($('#current_y').val(), $('#current_m').val() - 1, $('#current_d').val());
		}
		else return;
	}



	// Getting the gestational age correction
	gestational_age_correction_ms = 40 * 7 * MSEC_PER_DAY - (weeks * 7 * MSEC_PER_DAY + days * MSEC_PER_DAY);
	birthday_corrected_ms = date_birthday.getTime() + gestational_age_correction_ms;
	

// Calculate BMI
	if ((weight > 0) && (height > 0)) {
		bmi = (weight / Math.pow(height / 100, 2)).toFixed(1);
		$('#Weightheight').val(weight.toFixed(1));
		$('#Bmi').val(bmi);

	}
	else {
		bmi = 0;
	$('#Bmi').val(bmi);
		$('#Weightheight').val(0);

	}
	// Calculate waist to hip
	if ((waist > 0) && (hip > 0)) {
		waisthip = (waist / hip).toFixed(1);
	}
	else waisthip = 0;
	$('#Waisthip').val(waisthip);

	// Calculate frame
	if ((epicondyle > 0) && (height > 0)) {
		frame =  (100 * 10 *epicondyle / height).toFixed(1);
	}
	else frame = 0;
	$('#Frame').val(frame);
	
	
	// Calculate waist to height
	if ((waist > 0) && (height > 0)) {
		waistheight = (waist / height).toFixed(1);
	}
	else waistheight = 0;
	$('#Waistheight').val(waistheight);
	
	if ((hip > 0) && (height > 0)) {
		hipheight = (hip / height).toFixed(1);
	}
	else hipheight = 0;
	$('#Hipheight').val(hipheight);
	
	if ((head > 0) && (height > 0)) {
		headheight = (head / height).toFixed(1);
	}
	else headheight = 0;
	$('#Headheight').val(headheight);
	
	if ((epicondyle > 0) && (height > 0)) {
		frame = ((epicondyle / height)*100).toFixed(1);
	}
	else frame = 0;
	$('#Frame').val(frame);

	// Calculate skinfoldsum
	if ((subscapular > 0) && (triceps > 0) && (source == "kiggs")) {
		skinfoldsum = (subscapular + triceps).toFixed(1);
	}
	else if ((subscapular > 0) && (triceps > 0) && (suprailiac > 0) && (source == "hesse")) {
		skinfoldsum = (subscapular + triceps + suprailiac).toFixed(1);
	}
	elseskinfoldsum = 0;
	$('#skinfoldsum').val(skinfoldsum);

	// Geschlecht bestimmen
	if (document.form.radio_male.checked === true) male = true;
	else male = false;

	// Alter in Monaten
	age_months = (date_currentdate.getTime() - birthday_corrected_ms) / MSEC_PER_MONTH;
	if (age_months<0) age_months = 0;

	// Show the calculated age in y + m/12
	age_years = Math.floor(age_months / 12);
	age_months_modulo = Math.floor(age_months % 12);
	$("#calculatedAgeYears").html(age_years);
	$("#calculatedAgeMonthsUpper").html(age_months_modulo);
	$("#headerResult").css("display", "block");

// Hide rare params
	$('#li-Frame').css("display", "none");
		$('#li-Epicondyle').css("display", "none");
		$('#li-Hipheight').css("display", "none");
		$('#li-Upperarm').css("display", "none");
		$('#li-Suprailiac').css("display", "none");
		$('#li-Frame').css("display", "none");
		$('#li-Metric').css("display", "none");
		$('#li-Growthrateheight').css("display", "none");
		$('#li-Growthratehead').css("display", "none");
		$('#li-Chestcircumference').css("display", "none");
		$('#li-Chestwidth').css("display", "none");
		$('#li-Chestdepth').css("display", "none");
		$('#li-Weightweek').css("display", "none");
		$('#li-Headheight').css("display", "none");
	
	// For young children use Hesse, older KiGGs
	if (age_months < 72) {
	obWaist = new hesseWaist(waist, male, age_months);
	obWaistheight = new hesseWaistheight(waistheight, male, age_months);
	obSubscapular = new hesseSubscapular(subscapular, male, age_months);
	obSkinfoldsum = new hesseSkinfoldsum(skinfoldsum, male, age_months);
	obTriceps = new hesseTriceps(triceps, male, age_months);
	obHip = new hesseHip(hip, male, age_months);
	obWaisthip = new hesseWaisthip(waisthip, male, age_months);
	obSuprailiac = new hesseSuprailiac(suprailiac, male, age_months);
	obHipheight = new hesseHipheight(hipheight, male, age_months);
	obUpperarm = new hesseUpperarm(upperarm, male, age_months);
	obFrame = new hesseFrame(frame, male, age_months);
	obMetric = new hesseMetric(metric, male, age_months);
	obGrowthrateheight = new hesseGrowthrateheight(growthrateheight, male, age_months);
	obGrowthratehead = new hesseGrowthratehead(growthratehead, male, age_months);
	obChestcircumference = new hesseChestcircumference(chestcircumference, male, age_months);
	obChestwidth = new hesseChestwidth(chestwidth, male, age_months);
	obChestdepth = new hesseChestdepth(chestdepth, male, age_months);
	obWeightweek = new hesseWeightweek(weightweek, male, age_months);
	obHeadheight = new hesseHeadheight(headheight, male, age_months);
	obEpicondyle = new hesseEpicondyle(epicondyle, male, age_months);
	
}
	else // use Kiggs
	{obWaist = new kiggsWaist(waist, male, age_months);
	obWaistheight = new kiggsWaistheight(waistheight, male, age_months);
	obSubscapular = new kiggsSubscapular(subscapular, male, age_months);
	obSkinfoldsum = new kiggsSkinfoldsum(skinfoldsum, male, age_months);
	obTriceps = new kiggsTriceps(triceps, male, age_months);
	obHip = new kiggsHip(hip, male, age_months);
	obWaisthip = new kiggsWaisthip(waisthip, male, age_months);
	
	// These params exist only for Hesse
	obSuprailiac = new errorDummy(suprailiac, male, age_months);
	obHipheight = new errorDummy(hipheight, male, age_months);
	obUpperarm = new errorDummy(upperarm, male, age_months);
	obFrame = new errorDummy(frame, male, age_months);
	obEpicondyle = new errorDummy(epicondyle, male, age_months);
	obMetric = new errorDummy(metric, male, age_months);
	obGrowthrateheight = new errorDummy(growthrateheight, male, age_months);
	obGrowthratehead = new errorDummy(growthratehead, male, age_months);
	obChestcircumference = new errorDummy(chestcircumference, male, age_months);
	obChestwidth = new errorDummy(chestwidth, male, age_months);
	obChestdepth = new errorDummy(chestdepth, male, age_months);
	obWeightweek = new errorDummy(weightweek, male, age_months);
	obHeadheight = new errorDummy(headheight, male, age_months);
	obEpicondyle = new errorDummy(epicondyle, male, age_months);
	}
	
	
	switch (source) {
	case "kromeyer":
		obHead = new zuerichHead(head, male, age_months);
		obBmi = new kromeyerBmi(bmi, male, age_months);
		obHeight = new kromeyerHeight(height, male, age_months);
		obWeight = new kromeyerWeight(weight, male, age_months);
		break;
	case "redlefsen":
		obHead = new zuerichHead(head, male, age_months);
		obBmi = new redlefsenBmi(bmi, male, age_months);
		obHeight = new redlefsenHeight(height, male, age_months);
		obWeight = new redlefsenWeight(weight, male, age_months);
		break;
	case "hesse":
		obHead = new hesseHead(head, male, age_months);
		obBmi = new hesseBmi(bmi, male, age_months);
		obHeight = new hesseHeight(height, male, age_months);
		obWeight = new hesseWeight(weight, male, age_months);
		
	
		// Show spefific fields for hesse values //
		$('#li-Frame').css("display", "block");
		$('#li-Epicondyle').css("display", "block");
		$('#li-Hipheight').css("display", "block");
		$('#li-Upperarm').css("display", "block");
		$('#li-Suprailiac').css("display", "block");
		$('#li-Metric').css("display", "block");
		$('#li-Growthrateheight').css("display", "block");
		$('#li-Growthratehead').css("display", "block");
		$('#li-Chestcircumference').css("display", "block");
		$('#li-Chestwidth').css("display", "block");
		$('#li-Chestdepth').css("display", "block");
		$('#li-Weightweek').css("display", "block");
		$('#li-Headheight').css("display", "block");
		break;
	case "cdc":
		if (age_months < 24) {
			obHead = new whoHead(head, male, age_months);
			obBmi = new whoBmi(bmi, male, age_months);
			obHeight = new whoHeight(height, male, age_months);
			obWeight = new whoWeight(weight, male, age_months);
		}
		else {
			obHead = new cdcHead(head, male, age_months);
			obBmi = new cdcBmi(bmi, male, age_months);
			obHeight = new cdcHeight(height, male, age_months);
			obWeight = new cdcWeight(weight, male, age_months);
		}
		break;
		
case "down":
		if (age_months < 36) {
			obHead = new zemelHead(head, male, age_months);
			// There is no BMI Data for Mb Down <36. As Workaround, I implentented a error Dummy class
			obBmi = new errorDummy(bmi, male, age_months);
			obHeight = new zemelHeight(height, male, age_months);
			obWeightheight = new zemelWeightheight(weight, male, height);
			obWeight = new zemelWeight(weight, male, age_months);
		}
		else {
			obHead = new zemelHead2(head, male, age_months);
			obBmi = new zemelBmi(bmi, male, age_months);
			obHeight = new zemelHeight2(height, male, age_months);
			obWeightheight = new errorDummy(weight, male, height);
			obWeight = new zemelWeight2(weight, male, age_months);
		}
		break;
	case "kiggs":
	default:
		obHead = new kiggsHead(head, male, age_months);
		obBmi = new kiggsBmi(bmi, male, age_months);
		obHeight = new kiggsHeight(height, male, age_months);
		obWeight = new kiggsWeight(weight, male, age_months);
		break;
	}

	if (source != "down") 
	obWeightheight = new cdcWeightheight(weight, male, height);

	// Setting the info	
	$('#infoWeight').html(obWeight.infoString);
	$('#infoHeight').html(obHeight.infoString);
	$('#infoBmi').html(obBmi.infoString);
	$('#infoHead').html(obHead.infoString);
	$('#infoWaist').html(obWaist.infoString);
	$('#infoWaistheight').html(obWaistheight.infoString);
	$('#infoSubscapular').html(obSubscapular.infoString);
	$('#infoSkinfoldsum').html(obSkinfoldsum.infoString);
	$('#infoTriceps').html(obTriceps.infoString);
	$('#infoHip').html(obHip.infoString);
	$('#infoWaisthip').html(obWaisthip.infoString);
	$('#infoWeightheight').html(obWeightheight.infoString);

	// Getting the uln, mean, lln
	$('#Head_lln').html(obHead.getValueFromZ(-2).toFixed(1));
	$('#Head_mean').html(obHead.getValueFromZ(0).toFixed(1));
	$('#Head_uln').html(obHead.getValueFromZ(2).toFixed(1));
	$('#Bmi_lln').html(obBmi.getValueFromZ(-2).toFixed(1));
	$('#Bmi_mean').html(obBmi.getValueFromZ(0).toFixed(1));
	$('#Bmi_uln').html(obBmi.getValueFromZ(2).toFixed(1));
	$('#Height_lln').html(f_convertKg(obHeight.getValueFromZ(-2)).toFixed(1));
	$('#Height_mean').html(f_convertKg(obHeight.getValueFromZ(0)).toFixed(1));
	$('#Height_uln').html(f_convertKg(obHeight.getValueFromZ(2)).toFixed(1));
	$('#Weight_lln').html(f_convertKg(obWeight.getValueFromZ(-2)).toFixed(1));
	$('#Weight_mean').html(f_convertKg(obWeight.getValueFromZ(0)).toFixed(1));
	$('#Weight_uln').html(f_convertKg(obWeight.getValueFromZ(2)).toFixed(1));
	$('#Waist_lln').html(obWaist.getValueFromZ(-2).toFixed(1));
	$('#Waist_mean').html(obWaist.getValueFromZ(0).toFixed(1));
	$('#Waist_uln').html(obWaist.getValueFromZ(2).toFixed(1));
	$('#Waistheight_lln').html(obWaistheight.getValueFromZ(-2).toFixed(1));
	$('#Waistheight_mean').html(obWaistheight.getValueFromZ(0).toFixed(1));
	$('#Waistheight_uln').html(obWaistheight.getValueFromZ(2).toFixed(1));
	$('#Subscapular_lln').html(obSubscapular.getValueFromZ(-2).toFixed(1));
	$('#Subscapular_mean').html(obSubscapular.getValueFromZ(0).toFixed(1));
	$('#Subscapular_uln').html(obSubscapular.getValueFromZ(2).toFixed(1));
	$('#Skinfoldsum_lln').html(obSkinfoldsum.getValueFromZ(-2).toFixed(1));
	$('#Skinfoldsum_mean').html(obSkinfoldsum.getValueFromZ(0).toFixed(1));
	$('#Skinfoldsum_uln').html(obSkinfoldsum.getValueFromZ(2).toFixed(1));
	$('#Triceps_lln').html(obTriceps.getValueFromZ(-2).toFixed(1));
	$('#Triceps_mean').html(obTriceps.getValueFromZ(0).toFixed(1));
	$('#Triceps_uln').html(obTriceps.getValueFromZ(2).toFixed(1));
	$('#Hip_lln').html(obHip.getValueFromZ(-2).toFixed(1));
	$('#Hip_mean').html(obHip.getValueFromZ(0).toFixed(1));
	$('#Hip_uln').html(obHip.getValueFromZ(2).toFixed(1));
	$('#Waisthip_lln').html(obWaisthip.getValueFromZ(-2).toFixed(1));
	$('#Waisthip_mean').html(obWaisthip.getValueFromZ(0).toFixed(1));
	$('#Waisthip_uln').html(obWaisthip.getValueFromZ(2).toFixed(1));
	if (height > 0) {
		$('#Weightheight_lln').html(obWeightheight.getValueFromZ(-2).toFixed(1));
		$('#Weightheight_mean').html(obWeightheight.getValueFromZ(0).toFixed(1));
		$('#Weightheight_uln').html(obWeightheight.getValueFromZ(2).toFixed(1));
	}
	$('#Hipheight_lln').html(obHipheight.getValueFromZ(-2).toFixed(1));
	$('#Hipheight_mean').html(obHipheight.getValueFromZ(0).toFixed(1));
	$('#Hipheight_uln').html(obWaisthip.getValueFromZ(2).toFixed(1));
$('#Upperarm_lln').html(obUpperarm.getValueFromZ(-2).toFixed(1));
	$('#Upperarm_mean').html(obUpperarm.getValueFromZ(0).toFixed(1));
	$('#Upperarm_uln').html(obUpperarm.getValueFromZ(2).toFixed(1));
	$('#Frame_lln').html(obFrame.getValueFromZ(-2).toFixed(1));
	$('#Frame_mean').html(obFrame.getValueFromZ(0).toFixed(1));
	$('#Frame_uln').html(obWaisthip.getValueFromZ(2).toFixed(1));
	$('#Suprailiac_lln').html(obSuprailiac.getValueFromZ(-2).toFixed(1));
	$('#Suprailiac_mean').html(obSuprailiac.getValueFromZ(0).toFixed(1));
	$('#Suprailiac_uln').html(obSuprailiac.getValueFromZ(2).toFixed(1));
		$('#Epicondyle_lln').html(obEpicondyle.getValueFromZ(-2).toFixed(1));
	$('#Epicondyle_mean').html(obEpicondyle.getValueFromZ(0).toFixed(1));
	$('#Epicondyle_uln').html(obEpicondyle.getValueFromZ(2).toFixed(1));
			$('#Metric_lln').html(obMetric.getValueFromZ(-2).toFixed(2));
	$('#Metric_mean').html(obMetric.getValueFromZ(0).toFixed(2));
	$('#Metric_uln').html(obMetric.getValueFromZ(2).toFixed(2));
	$('#Growthrateheight_lln').html(obGrowthrateheight.getValueFromZ(-2).toFixed(1));
	$('#Growthrateheight_mean').html(obGrowthrateheight.getValueFromZ(0).toFixed(1));
	$('#Growthrateheight_uln').html(obGrowthrateheight.getValueFromZ(2).toFixed(1));
	$('#Growthratehead_lln').html(obGrowthratehead.getValueFromZ(-2).toFixed(1));
	$('#Growthratehead_mean').html(obGrowthratehead.getValueFromZ(0).toFixed(1));
	$('#Growthratehead_uln').html(obGrowthratehead.getValueFromZ(2).toFixed(1));
	$('#Chestcircumference_lln').html(obChestcircumference.getValueFromZ(-2).toFixed(1));
	$('#Chestcircumference_mean').html(obChestcircumference.getValueFromZ(0).toFixed(1));
	$('#Chestcircumference_uln').html(obChestcircumference.getValueFromZ(2).toFixed(1));
	$('#Chestwidth_lln').html(obChestwidth.getValueFromZ(-2).toFixed(1));
	$('#Chestwidth_mean').html(obChestwidth.getValueFromZ(0).toFixed(1));
	$('#Chestwidth_uln').html(obChestwidth.getValueFromZ(2).toFixed(1));
	$('#Chestdepth_lln').html(obChestdepth.getValueFromZ(-2).toFixed(1));
	$('#Chestdepth_mean').html(obChestdepth.getValueFromZ(0).toFixed(1));
	$('#Chestdepth_uln').html(obChestdepth.getValueFromZ(2).toFixed(1));
	$('#Weightweek_lln').html(obWeightweek.getValueFromZ(-2).toFixed(1));
	$('#Weightweek_mean').html(obWeightweek.getValueFromZ(0).toFixed(1));
	$('#Weightweek_uln').html(obWeightweek.getValueFromZ(2).toFixed(1));

	$('#Headheight_lln').html(obHeadheight.getValueFromZ(-2).toFixed(1));
	$('#Headheight_mean').html(obHeadheight.getValueFromZ(0).toFixed(1));
	$('#Headheight_uln').html(obHeadheight.getValueFromZ(2).toFixed(1));

		
	
	// Erasing uln,mean,lln returned with errorcode -100, -100.0 
	$("div[id$='lln']").each(function(index) {
		if (($(this).html() === "-100") || ($(this).html() === "-100.0")) $(this).html("")
	});
	$("div[id$='uln']").each(function(index) {
		if (($(this).html() === "-100") || ($(this).html() === "-100.0")) $(this).html("")
	});
	$("div[id$='mean']").each(function(index) {
		if (($(this).html() === "-100") || ($(this).html() === "-100.0")) $(this).html("")
	});

	references = obWeight.showResults(references);
	references = obHeight.showResults(references);
	references = obHead.showResults(references);
	references = obBmi.showResults(references);
	references = obWaist.showResults(references);
	references = obWaistheight.showResults(references);
	references = obSubscapular.showResults(references);
	references = obTriceps.showResults(references);
	references = obSuprailiac.showResults(references);
	references = obSkinfoldsum.showResults(references);
	references = obHip.showResults(references);
	references = obWaisthip.showResults(references);
	references = obHipheight.showResults(references);
	references = obWeightheight.showResults(references);
	references = obUpperarm.showResults(references);
	references = obEpicondyle.showResults(references);
	references = obFrame.showResults(references);
	references = obMetric.showResults(references);
	references = obGrowthrateheight.showResults(references);
	references = obGrowthratehead.showResults(references);
	references = obChestcircumference.showResults(references);
	references = obChestwidth.showResults(references);
	references = obChestdepth.showResults(references);
	references = obHeadheight.showResults(references);
	references = obWeightweek.showResults(references);


	// Writing the output string
	
	$('#outputContent').html(writeRefString(references));
}
	