// Formatierung für 01, 02, 03, anstatt 1, 2, 3

function zeroPad(nr, base) {
	var len = (String(base).length - String(nr).length) + 1;
	return len > 0 ? new Array(len).join('0') + nr : nr;
}

function ecg_calc() {
	var MSEC_PER_MONTH = 2628000000;

// erase old data
	  document.getElementById("rateLow").innerHTML = "";
	  document.getElementById("rateMean").innerHTML = "";
	  document.getElementById("rateHigh").innerHTML = "";
	  	  document.getElementById("qrsLow").innerHTML = "";
	  document.getElementById("qrsMean").innerHTML = "";
	  document.getElementById("qrsHigh").innerHTML = "";
	  	   document.getElementById("pqLow").innerHTML = "";
	  document.getElementById("pqMean").innerHTML = "";
	  document.getElementById("pqHigh").innerHTML = "";
	  	   document.getElementById("qIIILow").innerHTML = "";
	  document.getElementById("qIIIMean").innerHTML = "";
	  document.getElementById("qIIIHigh").innerHTML = "";

	   document.getElementById("qavfLow").innerHTML = "";
	  document.getElementById("qavfMean").innerHTML = "";
	  document.getElementById("qavfHigh").innerHTML = "";

	   document.getElementById("qv5Low").innerHTML = "";
	  document.getElementById("qv5Mean").innerHTML = "";
	  document.getElementById("qv5High").innerHTML = "";

	   document.getElementById("qv6Low").innerHTML = "";
	  document.getElementById("qv6Mean").innerHTML = "";
	  document.getElementById("qv6High").innerHTML = "";

	var birthday = $('#ecg_birthday').val();
	var hr = $('#ecg_hr').val().replace(/,/, ".") * 1;

	if (birthday != "") {
var date_birthday = getDateFromDateString(birthday);
		var date_now = new Date();
	}
	else return;
	// WIe alt ist das Kind jetzt
	var months = (date_now.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;

	  var lln, mean, uln;
	  
	  var hr_mean = new Array(145, 145, 132, 120, 108, 100, 90, 85, "-");
	  var hr_lln = new Array(90, 105, 105, 90, 72, 65, 65, 60, 60);
	  var hr_uln = new Array(180, 185, 170, 150, 135, 135, 130, 120, 100);
	  
	  var qrs_duration_mean = new Array(50, 55, 55, 55, 60, 60, 70, 80);
	  var qrs_duration_lln = new Array("-", "-", "-", "-", "-", "-", "-", "-");
	  var qrs_duration_uln = new Array(70, 75, 75, 75, 75, 85, 85, 100);
	  
	  var pq_lln = new Array(75, 75, 75, 80, 85, 90, 95, 100);
	  var pq_mean_60 = new Array("-", "-", "-", "-", "-", 160, 160, 170);
	  var pq_uln_60 = new Array("-", "-", "-", "-", "-", 180, 190, 210);
	  var pq_mean_80 = new Array("-", "-", "-", "-", 150, 150, 150, 160);
	  var pq_uln_80 = new Array("-", "-", "-", "-", 170, 170, 180, 210);
	  var pq_mean_100 = new Array(100, "-", "-", "-", 140, 150, 150, 150);
	  var pq_uln_100 = new Array(120, "-", "-", "-", 160, 160, 170, 200);
	  var pq_mean_120 = new Array(100, "-", "-", "-", 130, 140, 150, 150);
	  var pq_uln_120 = new Array(120, "-", "-", 150, 160, 150, 160, 190);
	  var pq_mean_140 = new Array(100, 110, 110, 120, 130, 140, "-", 150);
	  var pq_uln_140 = new Array(110, 140, 140, 140, 150, 150, "-", 180);
	  var pq_mean_160 = new Array(90, 100, 110, 110, 120, "-", "-", "-");
	  var pq_uln_160 = new Array(110, 130, 130, 140, 140, "-", "-", 170);
	  var pq_mean_180 = new Array(100, 100, 100, 100, "-", "-", "-", "-");
	  var pq_uln_180 = new Array(110, 120, 120, 120, "-", "-", "-", "-");
	  var pq_mean_200 = new Array(90, 90, 100, "-", "-", "-", "-", "-");
	  var pq_uln_200 = new Array("-", 110, 110, "-", "-", "-", "-", "-");
	  
	  var q_volt_III_mean = new Array(15, 15, 21, 15, 10, 6, 10, 5);
	  var q_volt_III_uln = new Array(55, 60, 60, 50, 35, 30, 30, 40);
	  var q_volt_avf_mean = new Array(10, 10, 10, 10, 5, 5, 5, 5);
	  var q_volt_avf_uln = new Array(35, 35, 35, 30, 30, 25, 20, 20);
	  var q_volt_v5_mean = new Array(1, 1, 1, 5, 10, 10, 5, 5);
	  var q_volt_v5_uln = new Array(35, 30, 30, 45, 55, 30, 30, 35);
	  var q_volt_v6_mean = new Array(5, 5, 5, 5, 10, 5, 5, 5);
	  var q_volt_v6_uln = new Array(30, 30, 30, 30, 35, 30, 30, 30);
	  
	  
	  // Fallunterscheidung für Herzfrequenz (s.46)	
	  if (months <= 1) pos = 0;
	  else if ((months > 1) && (months <= 6)) pos = 1;
	  else if ((months > 6) && (months <= 1 * 12)) pos = 2;
	  else if ((months > 1 * 12) && (months <= 2 * 12)) pos = 3;
	  else if ((months > 2 * 12) && (months <= 4 * 12)) pos = 4;
	  else if ((months > 4 * 12) && (months <= 6 * 12)) pos = 5;
	  else if ((months > 6 * 12) && (months <= 10 * 12)) pos = 6;
	  else if ((months > 10 * 12) && (months <= 14 * 12)) pos = 7;
	  else pos = 8;
	  
	  document.getElementById("rateLow").innerHTML = hr_lln[pos];
	  document.getElementById("rateMean").innerHTML = hr_mean[pos];
	  document.getElementById("rateHigh").innerHTML = hr_uln[pos];
	  
	  
	  // Fallunterscheidung für QRS Dauer (s.52)	
	  if (months <= 1) pos = 0;
	  else if ((months > 1) && (months <= 6)) pos = 1;
	  else if ((months > 6) && (months <= 1 * 12)) pos = 2;
	  else if ((months > 1 * 12) && (months <= 3 * 12)) pos = 3;
	  else if ((months > 3 * 12) && (months <= 8 * 12)) pos = 4;
	  else if ((months > 8 * 12) && (months <= 12 * 12)) pos = 5;
	  else if ((months > 12 * 12) && (months <= 16 * 12)) pos = 6;
	  else pos = 7;
	 
	  document.getElementById("qrsLow").innerHTML = qrs_duration_lln[pos];
	  document.getElementById("qrsMean").innerHTML = qrs_duration_mean[pos];
	  document.getElementById("qrsHigh").innerHTML = qrs_duration_uln[pos];
	  
		  
	  // PQ-Zeit
	  if (months <= 1) pos = 0;
	  else if ((months > 1) && (months <= 6)) pos = 1;
	  else if ((months > 6) && (months <= 1 * 12)) pos = 2;
	  else if ((months > 1 * 12) && (months <= 3 * 12)) pos = 3;
	  else if ((months > 3 * 12) && (months <= 8 * 12)) pos = 4;
	  else if ((months > 8 * 12) && (months <= 12 * 12)) pos = 5;
	  else if ((months > 12 * 12) && (months <= 16 * 12)) pos = 6;
	  else pos = 7;
	  lln = pq_lln[pos];
	  if (hr == -1) {
	  mean = "-";
	  uln = "-";
	  lln = "-";
	  }
	  else if (hr < 60) {
	  mean = pq_mean_60[pos];
	  uln = pq_uln_60[pos];
	  }
	  else if (hr < 80) {
	  mean = pq_mean_80[pos];
	  uln = pq_uln_80[pos];
	  }
	  else if (hr < 100) {
	  mean = pq_mean_100[pos];
	  uln = pq_uln_100[pos];
	  }
	  else if (hr < 120) {
	  mean = pq_mean_120[pos];
	  uln = pq_uln_120[pos];
	  }
	  else if (hr < 140) {
	  mean = pq_mean_140[pos];
	  uln = pq_uln_140[pos];
	  }
	  else if (hr < 160) {
	  mean = pq_mean_160[pos];
	  uln = pq_uln_160[pos];
	  }
	  else if (hr < 180) {
	  mean = pq_mean_180[pos];
	  uln = pq_uln_180[pos];
	  }
	  else {
	  mean = pq_mean_200[pos];
	  uln = pq_uln_200[pos];
	  }
	   document.getElementById("pqLow").innerHTML = lln;
	  document.getElementById("pqMean").innerHTML = mean;
	  document.getElementById("pqHigh").innerHTML = uln;
	  
	  
	  // Q-Zacken Tiefe
	  lln = "-";
	  mean = q_volt_III_mean[pos];
	  uln = q_volt_III_uln[pos];
	   document.getElementById("qIIILow").innerHTML = lln;
	  document.getElementById("qIIIMean").innerHTML = mean;
	  document.getElementById("qIIIHigh").innerHTML = uln;
	  
	  mean = q_volt_avf_mean[pos];
	  uln = q_volt_avf_uln[pos];
	   document.getElementById("qavfLow").innerHTML = lln;
	  document.getElementById("qavfMean").innerHTML = mean;
	  document.getElementById("qavfHigh").innerHTML = uln;
	  
	  mean = q_volt_v5_mean[pos];
	  uln = q_volt_v5_uln[pos];
	   document.getElementById("qv5Low").innerHTML = lln;
	  document.getElementById("qv5Mean").innerHTML = mean;
	  document.getElementById("qv5High").innerHTML = uln;
	  
	  mean = q_volt_v6_mean[pos];
	  uln = q_volt_v6_uln[pos];
	   document.getElementById("qv6Low").innerHTML = lln;
	  document.getElementById("qv6Mean").innerHTML = mean;
	  document.getElementById("qv6High").innerHTML = uln;
	  
}

function addEcgTableLine(lln, mean, uln, name) {
	var result = '<tr><td style="font-weight:bold">' + name + '</td><td>' + lln + '</td><td>' + mean + '</td><td>' + uln + '</td></tr>';
	return result;
}