function gestation_calc() {

    var actual = $('#gestation_actual').val();
    var estimated = $('#gestation_estimated').val();
    var day_msec = 1000 * 60 * 60 * 24;
    var week_msec = day_msec * 7;
    var result_string, date_actual, date_estimated;

    // Erasting old result
    $('#gestation_result').html("");

    if ($('#dateInput_flip').val() == 'mobile') {
        if ((actual != "") && (estimated != "")) {
            date_estimated = getDateFromDateString(estimated);
            date_actual = getDateFromDateString(actual);
        }
    } else {
        if ($('#gestation_estimated_d').val() && $('#gestation_estimated_m').val() && $('#gestation_estimated_y').val() && $('#gestation_actual_d').val() && $('#gestation_actual_m').val() && $('#gestation_actual_y').val()) {
            date_estimated = new Date($('#gestation_estimated_y').val(), $('#gestation_estimated_m').val() - 1, $('#gestation_estimated_d').val());
            date_actual = new Date($('#gestation_actual_y').val(), $('#gestation_actual_m').val() - 1, $('#gestation_actual_d').val());
        }
    }
    var gestational_age_in_days = Math.round(((40 * week_msec) - (date_estimated - date_actual)) / day_msec);
    var gestational_weeks = Math.floor(gestational_age_in_days / 7);
    var gestational_days = Math.floor(gestational_age_in_days % 7);


    if (gestational_weeks < 0)
        result_string = "< 0 SSW";
    else if (gestational_weeks > 90)
        result_string = "> 90 SSW";
    else if (isNaN(gestational_weeks))
        result_string = "n.d.";
    else
        result_string = gestational_weeks + "+" + gestational_days + " " + window.lang.convert("gestational weeks");

    $('#gestation_result').html(result_string);
    $("#headerResult").css("display", "block");
}