function mph_calc() {
	var fatherheight = $('#mph_fatherheight').val() * 1;
	var motherheight = $('#mph_motherheight').val()* 1;
	var male, z_father, z_mother, z_child, percentile, f_height,heightChild, heightHigh, heightLow, restultString, sd;
	
	var country = $("input[name='mph_prefer_radio']:checked").val();

	// Determine gender
	if (document.mph_form.mph_radio_male.checked === true) male = true;
	else male = false;
	
	// Remove old results
$('#fatherHeight').html("");
$('#motherHeight').html("");
$('#targetHeight').html("");
	
	switch (country) {
		case "Argentina":
		f_height = getHeightValueLejarraga;	
		break;
		case "Belgium":
		f_height = 	getHeightValueRoelants;
		break;
		case "Germany":
		f_height = getHeightValueKromeyer;
		break;
		case "Italy":
		f_height = getHeightValueCacciari;
		break;
		case "Poland":
		f_height = getHeightValueBozkova;
		break;
		case "Sweden":
		f_height = getHeightValueAlbertsson;
		break;
		case "Switzerland":
		f_height = getHeightValuePrader;
		break;
		case "UK":
		f_height = getHeightValueFreeman;
		break;
		case "WHO":
		f_height = getHeightValueWho2;
		break;
		case "USA": 
		f_height = getHeightValueCdc;
		break;
		default:
		f_height = getHeightValueWho2;
		break;
	}
	
	if (fatherheight > 0)  {
		z_father = f_height(216, true, fatherheight,false);
		percentile = formatPercentile(get_auc_from_z(z_father));
		$('#fatherHeight').html(percentile + " P.");
	}
		if (motherheight > 0)  {
		z_mother = f_height(216, false, motherheight,false);
		percentile = formatPercentile(get_auc_from_z(z_mother));
		$('#motherHeight').html(percentile + " P.");
	}
	if (motherheight && fatherheight) {
		z_child = ((z_father + z_mother) /2) * 0.72;
		heightChild = bmiRound(f_height(216, male, z_child,true),1);
		heightHigh = bmiRound(f_height(216, male, z_child+1.64,true),1);
		heightLow = bmiRound(f_height(216, male, z_child-1.64,true),1);
		sd = f_height(216, male, 1,false) - f_height(216, male, 0,false);
		resultString = heightChild + " (" + heightLow + " - " + heightHigh+ ")";
		$('#mph_targetHeight').html(resultString);
	}
}

// Height for Argentina 
function getHeightValueLejarraga(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0,216);
		var stabw_male = new Array(0,6.9);
	var mean_male = new Array(0,172.7);
	var stabw_female = new Array(0,6.1);
	var mean_female = new Array(0,160.7);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for Belgium 
function getHeightValueRoelants(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.9);
	var mean_male = new Array(0, 179.4);
	var stabw_female = new Array(0, 6.0);
	var mean_female = new Array(0, 166.3);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for Italy 
function getHeightValueCacciari(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.5);
	var mean_male = new Array(0, 176);
	var stabw_female = new Array(0, 6.0);
	var mean_female = new Array(0, 162.5);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for Italy 
function getHeightValueKromeyer(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.8);
	var mean_male = new Array(0, 180.7);
	var stabw_female = new Array(0, 6.4);
	var mean_female = new Array(0, 168.2);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for Poland 
function getHeightValueBozkova(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.4);
	var mean_male = new Array(0, 178.4);
	var stabw_female = new Array(0, 6.1);
	var mean_female = new Array(0, 165.5);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for Sweden 
function getHeightValueAlbertsson(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.6);
	var mean_male = new Array(0, 180.4);
	var stabw_female = new Array(0, 6.1);
	var mean_female = new Array(0, 167.6);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for Switzerland 
function getHeightValuePrader(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.7);
	var mean_male = new Array(0, 177.1);
	var stabw_female = new Array(0, 5.8);
	var mean_female = new Array(0, 164.4);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for German born Turks 
function getHeightValueRedlefsen(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.7);
	var mean_male = new Array(0, 175.1);
	var stabw_female = new Array(0, 6.1);
	var mean_female = new Array(0, 160.1);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for UK historic
function getHeightValueTanner(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 6.7);
	var mean_male = new Array(0, 174.7);
	var stabw_female = new Array(0, 6.0);
	var mean_female = new Array(0, 163.2);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for UK 
function getHeightValueFreeman(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 7.0);
	var mean_male = new Array(0, 177.1);
	var stabw_female = new Array(0, 6.0);
	var mean_female = new Array(0, 163.6);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for WHO 
function getHeightValueWho2(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 7.5);
	var mean_male = new Array(0, 176.1);
	var stabw_female = new Array(0, 6.6);
	var mean_female = new Array(0, 163.1);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}

// Height for USA 
function getHeightValueCdc(ageMonths, male, value,valueIsZ) {
	var result;
	var grid = new Array(0, 216);
	var stabw_male = new Array(0, 7.5);
	var mean_male = new Array(0, 176.1);
	var stabw_female = new Array(0, 6.6);
	var mean_female = new Array(0, 163.1);

	if (male) {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_male,stabw_male, valueIsZ);		
	} else {
		result = getMeanStabwValuesInterpolated(value, ageMonths, grid, mean_female,stabw_female, valueIsZ);		
	}
	return result;
}