function bp_calc() {
	var MSEC_PER_MONTH = 2628000000;
	var birthday = $('#bp_birthday').val();
	var height = $('#bp_height').val().replace(/,/, ".") * 1;
	var preferkiggs = $('#bp_radio_kiggs').is(':checked');
	var preferaha = $('#bp_radio_aha').is(':checked');
	var obHeight;

	var zHeight, percentile, male, ageMonths, age_years, searchedZ, age_months_modulo, age_years_floor;

	// Alte Werte löschen

	$("div[id^='day']").html("");
	$("div[id^='night']").html("");
	$("#headerResult").css("display", "none");

	var male;
	if (document.bp_form.bp_radio_male.checked == true) male = true;
	else male = false;


	// Different date inputs for touch screen and desktops
	if ($('#dateInput_flip').val() == 'mobile') {
		var birthday = $('#bp_birthday').val();
		var currentdate = $('#bp_currentdate').val();
		// Formatting the date
		if ((birthday != "") && (currentdate != "")) {
			var date_birthday = getDateFromDateString(birthday);
			var date_currentdate = getDateFromDateString(currentdate);
		}
		else return;
	}
	else {
		if ($('#bp_birth_d').val() && $('#bp_birth_m').val() && $('#bp_birth_y').val() && $('#bp_current_d').val() && $('#bp_current_m').val() && $('#bp_current_y').val()) {
			var date_birthday = new Date($('#bp_birth_y').val(), $('#bp_birth_m').val() - 1, $('#bp_birth_d').val());
			var date_currentdate = new Date($('#bp_current_y').val(), $('#bp_current_m').val() - 1, $('#bp_current_d').val());
		}
		else return;
	}


	// WIe alt ist das Kind jetzt
	var ageMonths = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;
	age_years = Math.round(ageMonths / 12);
	
	if ((ageMonths <= 0) || (height <= 0)) return;

	if (preferkiggs) 
	obHeight = new kiggsHeight(height, male, ageMonths);
	else 
	obHeight = new cdcHeight(height, male, ageMonths);
	
	zHeight = obHeight.getZFromValue(height);

	if (zHeight > -100) {
		percentile = get_auc_from_z(zHeight);
		percentile = Math.round(percentile * 100);
	}
	else return;

	$('#heightPercentile').html(percentile);
	// Show the calculated age in y + m/12
	age_years_floor = Math.floor(ageMonths / 12);
	age_months_modulo = Math.floor(ageMonths % 12);
	$("#calculatedAgeYears").html(age_years_floor);
	$("#calculatedAgeMonthsUpper").html(age_months_modulo);
	$("#headerResult").css("display", "block");

	// 5th percentile		
	searchedZ = -1.645;
	if (preferkiggs) {
		sys = getSystoleValueKiggs(ageMonths, male, height, searchedZ, true);
		dia = getDiastoleValueKiggs(ageMonths, male, height, searchedZ, true);
	}
	else {
		sys = getSystoleValueAha(ageMonths, male, zHeight, searchedZ, true);
		dia = getDiastoleValueAha(ageMonths, male, zHeight, searchedZ, true);
	}
	if ((sys == -100) || (dia == -100)) {
		$("div[id^='day']").html("nd");
		$("div[id^='night']").html("nd");
	}
	else {
		$('#daySys5').html(Math.round(sys));
		$('#dayDia5').html(Math.round(dia));
		$('#nightSys5').html(Math.round(sys * 0.9));
		$('#nightDia5').html(Math.round(dia * 0.9));
	}
	// 50th percentile
	searchedZ = 0;
	if (preferkiggs) {
		sys = getSystoleValueKiggs(ageMonths, male, height, searchedZ, true);
		dia = getDiastoleValueKiggs(ageMonths, male, height, searchedZ, true);
	}
	else {
		sys = getSystoleValueAha(ageMonths, male, zHeight, searchedZ, true);
		dia = getDiastoleValueAha(ageMonths, male, zHeight, searchedZ, true);
	}
	if ((sys == -100) || (dia == -100)) {
		$("div[id^='day']").html("nd");
		$("div[id^='night']").html("nd");
	}
	else {
		$('#daySys50').html(Math.round(sys));
		$('#dayDia50').html(Math.round(dia));
		$('#nightSys50').html(Math.round(sys * 0.9));
		$('#nightDia50').html(Math.round(dia * 0.9));
	}
	// 90th percentile
	searchedZ = 1.282
	if (preferkiggs) {
		sys = getSystoleValueKiggs(ageMonths, male, height, searchedZ, true);
		dia = getDiastoleValueKiggs(ageMonths, male, height, searchedZ, true);
	}
	else {
		sys = getSystoleValueAha(ageMonths, male, zHeight, searchedZ, true);
		dia = getDiastoleValueAha(ageMonths, male, zHeight, searchedZ, true);
	}
	if ((sys == -100) || (dia == -100)) {
		$("div[id^='day']").html("nd");
		$("div[id^='night']").html("nd");
	}
	else {
		$('#daySys90').html(Math.round(sys));
		$('#dayDia90').html(Math.round(dia));
		$('#nightSys90').html(Math.round(sys * 0.9));
		$('#nightDia90').html(Math.round(dia * 0.9));
	}
	// 95th percentile
	searchedZ = 1.645
	if (preferkiggs) {
		sys = getSystoleValueKiggs(ageMonths, male, height, searchedZ, true);
		dia = getDiastoleValueKiggs(ageMonths, male, height, searchedZ, true);
	}
	else {
		sys = getSystoleValueAha(ageMonths, male, zHeight, searchedZ, true);
		dia = getDiastoleValueAha(ageMonths, male, zHeight, searchedZ, true);
	}
	if ((sys == -100) || (dia == -100)) {
		$("div[id^='day']").html("nd");
		$("div[id^='night']").html("nd");
	}
	else {

		$('#daySys95').html(Math.round(sys));
		$('#dayDia95').html(Math.round(dia));
		$('#nightSys95').html(Math.round(sys * 0.9));
		$('#nightDia95').html(Math.round(dia * 0.9));
	}
	// 99th percentile
	searchedZ = 2.326
	if (preferkiggs) {
		sys = getSystoleValueKiggs(ageMonths, male, height, searchedZ, true);
		dia = getDiastoleValueKiggs(ageMonths, male, height, searchedZ, true);
	}
	else {
		sys = getSystoleValueAha(ageMonths, male, zHeight, searchedZ, true);
		dia = getDiastoleValueAha(ageMonths, male, zHeight, searchedZ, true);
	}
	if ((sys == -100) || (dia == -100)) {
		$("div[id^='day']").html("nd");
		$("div[id^='night']").html("nd");
	}
	else {

		$('#daySys99').html(Math.round(sys));
		$('#dayDia99').html(Math.round(dia));
		$('#nightSys99').html(Math.round(sys * 0.9));
		$('#nightDia99').html(Math.round(dia * 0.9));
		// 99P +5mmHg
		$('#daySys99plus').html(Math.round(sys + 5));
		$('#dayDia99plus').html(Math.round(dia + 5));
		$('#nightSys99plus').html(Math.round((sys + 5) * 0.9));
		$('#nightDia99plus').html(Math.round((dia + 5) * 0.9));
	}
}

function getDiastoleValueAha(age_months, male, z_ht, value, valueIsZ) {
	var j = 0;
	var k = 0;
	var x, bp_50, alpha, sigma, b, c, bp;

	age = age_months / 12;

	if (male) {
		b = new Array(0.68314, -0.09835, 0.01711, 0.00045);
		c = new Array(1.46993, -0.07849, -0.03144, 0.00967);
		alpha = 61.01217;
		sigma = 11.6032;
	}
	else {
		b = new Array(1.01301, 0.01157, 0.00424, -0.00137);
		c = new Array(1.16641, 0.12795, -0.03869, -0.00079);
		alpha = 60.50510;
		sigma = 10.9573;
	}

	// Limit SDS to 5th and 95th percentile
	if (z_ht < -1.645) z_ht = -1.645;
	else if (z_ht > 1.645) z_ht = 1.645;

	for (x = 0; x < 4; x++) {
		j += b[x] * Math.pow((age - 10), x + 1);
		k += c[x] * Math.pow(z_ht, x + 1);
	}
	bp_50 = alpha + j + k;

	bp = value * sigma + bp_50;
	return bp;
}





function getSystoleValueAha(age_months, male, z_ht, value, valueIsZ) {
	var j = 0;
	var k = 0;
	var x, bp_50, alpha, sigma, b, c, bp;

	age = age_months / 12;

	if (male) {
		b = new Array(1.82416, 0.12776, 0.00249, -0.00135);
		c = new Array(2.73157, -0.19618, -0.04659, 0.00947);
		alpha = 102.19768;
		sigma = 10.7128;
	}
	else {
		b = new Array(1.94397, 0.00598, -0.00789, -0.00059);
		c = new Array(2.03526, 0.02534, -0.01884, 0.00121);
		alpha = 102.01027;
		sigma = 10.4855;
	}

	// Limit SDS to 5th and 95th percentile
	if (z_ht < -1.645) z_ht = -1.645;
	else if (z_ht > 1.645) z_ht = 1.645;

	for (x = 0; x < 4; x++) {
		j += b[x] * Math.pow((age - 10), x + 1);
		k += c[x] * Math.pow(z_ht, x + 1);
	}
	bp_50 = alpha + j + k;

	bp = value * sigma + bp_50;
	return bp;
}


function getDiastoleValueKiggs(age_months, male, height, value, valueIsZ) {
	var result, M, S, ageYears, zHeight;

	var grid = new Array(3.5, 4.5, 5.5, 6.5, 7.5, 8.5, 9.5, 10.5, 11.5, 12.5, 13.5, 14.5, 15.5, 16.5, 17.5);
	var s_male = new Array(0.1171, 0.1139, 0.111, 0.1085, 0.1067, 0.1054, 0.1046, 0.1045, 0.1048, 0.1053, 0.106, 0.1065, 0.1069, 0.1072, 0.1074);
	// var s_female = new Array (0.1173,0.1137,0.1106,0.1079,0.1056,0.1037,0.1022,0.1011,0.1003,0.0998,0.0997,0.0999,0.1005,0.1013,0.1026);
	obHeight = new kiggsHeight(height, male, age_months);	
	zHeight = obHeight.getZFromValue(height);

	ageYears = age_months / 12;
	if ((ageYears < grid[0]) || (ageYears > grid[grid.length - 1])) return -100;

	if (male) {
		M = 54.22924 + 0.90280 * ageYears + 0.02825 * Math.pow((ageYears - 10), 2) + 0.52654 * zHeight;
		S = interpolateValueFromArray(grid, s_male, ageYears);
		if (valueIsZ) result = (value * S + 1) * M;
		else result = ((value / M) - 1) / S;
	}
	else {
		S = Math.exp(-2.174031 - 0.011247 * ageYears + 0.001663 * Math.pow((ageYears - 10), 2));
		M = 55.67887 + 0.78751 * ageYears + 0.01964 * Math.pow((ageYears - 10), 2) + 0.50944 * zHeight;
		if (valueIsZ) result = (value * S + 1) * M;
		else result = ((value / M) - 1) / S;
	}
	return result;
}


function getSystoleValueKiggs(age_months, male, height, value, valueIsZ) {
	var result, M, S, ageYears;

	var grid = new Array(3.5, 4.5, 5.5, 6.5, 7.5, 8.5, 9.5, 10.5, 11.5, 12.5, 13.5, 14.5, 15.5, 16.5, 17.5);
	var s_male = new Array(0.0767, 0.0753, 0.074, 0.073, 0.0724, 0.0723, 0.0727, 0.0734, 0.0746, 0.0762, 0.078, 0.0799, 0.0819, 0.0839, 0.086);

	ageYears = age_months / 12;
	if ((ageYears < grid[0]) || (ageYears > grid[grid.length - 1])) return -100;

	if (male) {
		M = 83.37 - 0.9057 * ageYears + 0.05795 * Math.pow((ageYears - 10), 2) + 0.09447 * height + 0.01101 * height * ageYears + 0.00006818 * height * Math.pow((ageYears - 10), 2);
		s = interpolateValueFromArray(grid, s_male, ageYears)
		if (valueIsZ) result = Math.pow((value * (-0.4685 * s) + 1), (1 / -0.4685)) * M;
		else result = (Math.pow((value / M), -0.4685) - 1) / (-0.4685 * s);
	}
	else {
		M = Math.exp(4.163 + 0.01409 * ageYears + 0.003363 * Math.pow((ageYears - 10), 2) + 0.003189 * height - 0.00007603 * height * ageYears - 0.00001816 * height * Math.pow((ageYears - 10), 2));
		if (valueIsZ) result = Math.exp(value * 0.07631) * M;
		else result = (1 / 0.07631) * Math.log((value / M));

	}
	return result;
}