// JavaScript Document

function gfr_calc() {
	var creaSi, creaKonv, ageMonths, date_currentdate, date_birthdate, cysC, ureaKonv, ureaSi, weight, height, age_months_modulo,bsa;

	cysC = $('#cysC').val().replace(/,/, ".") * 1;
	ureaKonv = $('#ureaKonv').val().replace(/,/, ".") * 1;
	ureaSi = $('#ureaSi').val().replace(/,/, ".") * 1;
	weight = $('#weight').val().replace(/,/, ".") * 1;
	height = $('#height').val().replace(/,/, ".") * 1;
	creaKonv = $('#creaKonv').val().replace(/,/, ".") * 1;
	creaSi = $('#creaSi').val().replace(/,/, ".") * 1;
	
	if (weight && height)
	bsa = bsaDuBois(height, weight);
	else bsa = 0;

	if (document.form.radio_male.checked === true) male = true;
	else male = false;

	if ($('#radio_si').is(':checked')) {
		$('#inputKonv').css("visibility", "hidden");
		$('#inputSi').css("visibility", "visible");
		$('#inputKonv').css("display", "none");
		$('#inputSi').css("display", "block");
		creaKonv = creaSi / 88.40;
		$('#creaKonv').val(creaKonv.toFixed(3));

	}
	else {
		$('#inputKonv').css("visibility", "visible");
		$('#inputSi').css("visibility", "hidden");
		$('#inputKonv').css("display", "block");
		$('#inputSi').css("display", "none");
		creaSi = (creaKonv * 88.4);
		$('#creaSi').val(creaSi.toFixed(1));
	}
	
	if ($('#radio_urea_si').is(':checked')) {
		$('#inputUreaKonv').css("visibility", "hidden");
		$('#inputUreaSi').css("visibility", "visible");
		$('#inputUreaKonv').css("display", "none");
		$('#inputUreaSi').css("display", "block");
		ureaKonv = ureaSi / 0.167;
		$('#ureaKonv').val(ureaKonv.toFixed(3));

	}
	else {
		$('#inputUreaKonv').css("visibility", "visible");
		$('#inputUreaSi').css("visibility", "hidden");
		$('#inputUreaKonv').css("display", "block");
		$('#inputUreaSi').css("display", "none");
		ureaSi = (ureaKonv * 0.167);
		$('#ureaSi').val(ureaSi.toFixed(1));
	}
	
	
	// Different date inputs for touch screen and desktops
	if ($('#dateInput_flip').val() === 'mobile') {
		var birthday = $('#birthday').val();
		var currentdate = $('#currentdate').val();
		// Formatting the date
		if ((birthday != "") && (currentdate != "")) {
			var date_birthday = getDateFromDateString(birthday);
			var date_currentdate = getDateFromDateString(currentdate);

		}
		else return;
	}
	else {
		if ($('#birth_d').val() && $('#birth_m').val() && $('#birth_y').val() && $('#current_d').val() && $('#current_m').val() && $('#current_y').val()) {
			var date_birthday = new Date($('#birth_y').val(), $('#birth_m').val() - 1, $('#birth_d').val());
			var date_currentdate = new Date($('#current_y').val(), $('#current_m').val() - 1, $('#current_d').val());
		}
		else return;
	}
	
	/*

	var array_birthday = $('#birthday').mobiscroll('getValue');
	var array_currentdate = $('#currentdate').mobiscroll('getValue');

	if ((typeof(array_birthday) == "undefined") || (typeof(array_currentdate) == "undefined")) {
		$("#headerResult").css("display", "none");
		return;
	};
	date_birthday = new Date(array_birthday[2], array_birthday[1], array_birthday[0], 0, 0, 0, 0);
	if (array_birthday[5] == 1) date_birthday.addHours(12);
	date_currentdate = new Date(array_currentdate[2], array_currentdate[1], array_currentdate[0], 0, 0, 0, 0);
	ageMonths = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;
	ageYears = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_YEAR;

	age_years = Math.floor(ageMonths / 12);
	age_months_modulo = Math.floor(ageMonths % 12);
	$("#calculatedAgeYears").html(ageYears.toFixed(0));
	$("#calculatedAgeMonthsUpper").html(age_months_modulo.toFixed(0));
	$("#headerResult").css("display", "block");
	*/
	
	// Alter in Monaten
	age_months = (date_currentdate.getTime() - date_birthday.getTime()) / MSEC_PER_MONTH;
	if (age_months<0) age_months = 0;

	// Show the calculated age in y + m/12
	ageYears = Math.floor(age_months / 12);
	age_months_modulo = Math.floor(age_months % 12);
	$("#calculatedAgeYears").html(ageYears);
	$("#calculatedAgeMonthsUpper").html(age_months_modulo);
	$("#headerResult").css("display", "block");

	// Delete old results
	$("div[id^='result']").html("");

	// grubb
	if (cysC && ageYears) {
	 result = (130 * Math.pow(cysC, -1.069) * Math.pow(ageYears, -0.117)) - 7;
	$("#resultGrubb").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
	$("#resultGrubb").css("color",getCKDColor(result));
	}
	else  {
		$("#resultGrubb").html("n.d.");
		$("#resultGrubb").css("color",getCKDColor(-1));
	}


	// Schwartz 
	if (creaKonv && ageYears && ureaKonv && height && cysC) {
		result = 39.1 * Math.pow((height / 100) / creaKonv, 0.516) * Math.pow((1.8 / cysC), 0.294) * Math.pow((30 / (ureaKonv*0.467)), 0.169) * Math.pow((height / 100) / 1.4, 0.188);
		if (male) result *= 1.099;
	$("#resultSchwartz").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
		$("#resultSchwartz").css("color",getCKDColor(result));
	}
	else  {
		$("#resultSchwartz").html("n.d.");
		$("#resultSchwartz").css("color",getCKDColor(-1));
	}

	// Zappitelli 
	if (cysC) {
		if (creaKonv && height) result = 43.82 * Math.pow(1 / cysC, 0.635) * Math.pow(1 / creaKonv, 0.547) * Math.pow(1.35, (height / 100));
		else result = 75.94 / Math.pow(cysC, 1.17);
		$("#resultZappitelli").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
		$("#resultZappitelli").css("color",getCKDColor(result));
	}
	else  {
		$("#resultZappitelli").html("n.d.");
		$("#resultZappitelli").css("color",getCKDColor(-1));
	}

	// Bouvet 
	if (cysC && creaSi && weight && ageYears && bsa) {
		result = 63.2 * Math.pow(creaSi / 96, -0.35) * Math.pow(cysC / 1.2, -0.56) * Math.pow(weight / 45, 0.3) * Math.pow(ageYears / 14, 0.4);
		result = (result/bsa)*1.73;
	$("#resultBouvet").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
		$("#resultBouvet").css("color",getCKDColor(result));
	}
	else  {
		$("#resultBouvet").html("n.d.");
		$("#resultBouvet").css("color",getCKDColor(-1));
	}

	// Grubb 2005
	if (cysC && ageYears) {
		result = 84.69 * Math.pow(cysC, -1.680);
		if (ageYears < 14) result *= 1.384;
	$("#resultGrubb2005").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
		$("#resultGrubb2005").css("color",getCKDColor(result));
	}
	else  {
		$("#resultGrubb2005").html("n.d.");
		$("#resultGrubb2005").css("color",getCKDColor(-1));
	}

	// Filler 
	if (cysC) {
		result = 91.62 * Math.pow((1 / cysC), 1.123);
	$("#resultFiller").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
		$("#resultFiller").css("color",getCKDColor(result));
	}
	else  {
		$("#resultFiller").html("n.d.");
		$("#resultFiller").css("color",getCKDColor(-1));
	}

	// Counahan 
	if (height && creaKonv) {
		result = 0.43 * height / creaKonv;
	$("#resultCounahan").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
	$("#resultCounahan").css("color",getCKDColor(result));
	}
	else  {
		$("#resultCounahan").html("n.d.");
		$("#resultCounahan").css("color",getCKDColor(-1));
	}
	
		// Schwartz 75 
	if (height && creaKonv && male && ageYears && (ageYears <18)) {
		result = height / creaKonv;
		if (ageMonths <= 1) result *= 0.45;
		else if ((male == true) && (ageYears >13)) result *= 0.7;
		else result *= 0.55;
		$("#resultSchwartz1976").html(result.toFixed(0) + getCKDPercentile(result,male,ageYears));
		$("#resultSchwartz1976").css("color",getCKDColor(result));
		
	}
	else  {
		$("#resultSchwartz1976").html("n.d.");
		$("#resultSchwartz1976").css("color",getCKDColor(-1));
	}
}

function getCKDColor(gfr)
{
if (gfr > 90) return "#088A08";
else if (gfr > 61) return "#AEB404";
else if (gfr > 31) return "#FFBF00";
else if (gfr > 15) return "#FF8000";
else if (gfr > 0) return "#FF0000";
else return "#000000";
}


function getCKDPercentile(gfr,male,ageYears) {
	var z, auc;
	if (typeof(ageYears) == 'undefined') 
	return "";
	
	if ((ageYears*365) <=7 ) {
		z = get_z_from_meanstabw(gfr, 40.6,14.8);
	}
	else if ((ageYears*365) <= 56) {
			z = get_z_from_meanstabw(gfr, 65.8,24.8);
	}
	else if (ageYears <2) {
			z = get_z_from_meanstabw(gfr, 95.7, 21.7);
	}
	else if (ageYears <12.5) {
			z = get_z_from_meanstabw(gfr, 133, 27);
	}
	else if ((ageYears <21.5) && (male == true)) {
			z = get_z_from_meanstabw(gfr, 140,30);
	}
	else if ((ageYears <21.5) && (male == false)) {
			z = get_z_from_meanstabw(gfr, 126,22);
	}
	
	else return "";
	
	auc = formatPercentile(get_auc_from_z(z));
	return " (" + auc + " P.)";
}